#
# spec file for package rubygem-actionpack-2_3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-actionpack-2_3
Version:        2.3.14
Release:        0.16.1
%define mod_name actionpack
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Provides:       rubygem-%{mod_name} = %{version}-%{release}
#
# activesupport = 2.3.14
BuildRequires:  rubygem-activesupport-2_3 = %{version}
Requires:       rubygem-activesupport-2_3 = %{version}
# rack ~> 1.1.0
BuildRequires:  rubygem-rack-1_1 >= 1.1.0
Requires:       rubygem-rack-1_1 >= 1.1.0
#
Url:            http://rubyforge.org/projects/actionpack
Source:         %{mod_full_name}.gem
Source99:       series
Patch0:         2-3-null_param.patch
Patch1:         2-3-null_array_param.patch
#
Summary:        Web-flow and rendering framework putting the VC in MVC

%description
Eases web-request routing, handling, and response as a half-way front, half-way
page controller. Implemented with specific emphasis on enabling easy
unit/integration testing that doesn't require a browser.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep

%build

%install
%gem_install %{S:0}
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ -name \*\~ -print -delete
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
patch -p0 < %{P:0}
patch -p0 < %{P:1}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Wed Jul 18 2012 mrueckert@suse.de
- added 2 patches to fix security issues:
  2-3-null_param.patch       (CVE-2012-2660) (bnc#765097)
  2-3-null_array_param.patch (CVE-2012-2694) (bnc#766791)
- track series file from quilt for easier handling
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - fix fixing strip tags vulnerability (bnc#712057)
  - fixing response splitting problem (bnc#712058)
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  - dont call destroy on a session if it doesnt respond to destroy
  - fix session timeout handling
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc and testsuite subpackages.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * Version bump.
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * Version bump.
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * HTML safety: fix compatibility *without* the optional rails_xss
    plugin.
- additional changes from version 2.3.7
  * HTML safety: fix compatibility with the optional rails_xss
    plugin.  [Nathan Weizenbaum, Santiago Pastorino]
- additional changes from version 2.3.6
  * JSON: set Base.include_root_in_json = true to include a root
    value in the JSON: {"post": {"title": ...}}. Mirrors the Active
    Record option.  #2584 [Matthew Moore, Joe Martinez, Elad
    Meidar, Santiago Pastorino]
  * Ruby 1.9: ERB template encoding using a magic comment at the
    top of the file.  [Jeremy Kemper] <%%# encoding: utf-8 %%>
  * Fixed that default locale templates should be used if the
    current locale template is missing [DHH]
  * Fixed that PrototypeHelper#update_page should return html_safe
    [DHH]
  * Fixed that much of DateHelper wouldn't return html_safe?
    strings [DHH]
  * Fixed that fragment caching should return a cache hit as
    html_safe (or it would all just get escaped) [DHH]
  * Introduce String#html_safe for rails_xss plugin and
    forward-compatibility with Rails 3.  [Michael Koziarski,
    Santiago Pastorino, José Ignacio Costa]
  * Added :alert, :notice, and :flash as options to
    ActionController::Base#redirect_to that'll automatically set
    the proper flash before the redirection [DHH].
  * Added ActionController::Base#notice/= and
    ActionController::Base#alert/= as a convenience accessors in
    both the controller and the view for flash[:notice]/= and
    flash[:alert]/= [DHH]
  * Added cookies.permanent, cookies.signed, and
    cookies.permanent.signed accessor for common cookie actions
    [DHH].
- removed actionpack-2.3.5_button_to.patch:
  included in update
* Thu Feb 18 2010 aduffeck@novell.com
- add a patch to fix (bnc#581792):
  https://rails.lighthouseapp.com/projects/8994/tickets/3448-button_to-does-not-return-an-html-safe-string
* Fri Jan 15 2010 mrueckert@suse.de
- fix requires on rack. gem spec and code disagree with each other.
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  - Minor Bug Fixes and deprecation warnings
  - Ruby 1.9 Support
  - Fix filtering parameters when there are Fixnum or other
    un-dupable values.
  - Improvements to ActionView::TestCase
  - Compatiblity with the rails_xss plugin
- removed actionpack-2.3.4_number_to_human_size_fix_eb30c695444b904d7937c8c12c59da9a8c4d60e5.patch:
  included in update
* Fri Nov 20 2009 mrueckert@suse.de
- added actionpack-2.3.4_number_to_human_size_fix_eb30c695444b904d7937c8c12c59da9a8c4d60e5.patch
  fix number_to_human_size (bnc#545720)
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
* Fri Jun  5 2009 mrueckert@suse.de
- add rails-2.3.2_http_auth_digest_nil_check.patch:
  do not allow authentication with a missing password (bnc#509914)
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
